<% if params[:user_page].nil? %>
    $("#project_info_<%=@course.id %>").html('<%=escape_javascript(render :partial=>'layouts/project_info') %>');
    if(document.getElementById("course_is_public")) {
        <% if @course.is_public == 0%>
            $("#course_is_public").attr("checked",false);
        <% elsif @course.is_public == 1 %>
            $("#course_is_public").attr("checked",true);
        <% end %>
    }
<% else %>
    <% if @course.is_public? %>
        $("#show_course_<%= @course.id %>").attr("title","公开课程：<%= @course.name %>（<%= @course.time.to_s+ @course.term %>）");
    <% else %>
        $("#show_course_<%= @course.id %>").attr("title","私有课程：<%= @course.name %>（<%= @course.time.to_s+ @course.term %>）");
    <% end %>
    $("#set_course_public_<%= @course.id %>").replaceWith('<%= escape_javascript(link_to @course.is_public == 0 ? "设为公开" : "设为私有", {:controller => "courses", :action => "private_or_public", :id => @course,:user_page => true},
                                :id => "set_course_public_#{@course.id.to_s}",:remote=>true,:confirm=>"您确定要设置为"+(@course.is_public == 0 ? "公开" : "私有")+"吗") %>');
<% end %>